#
# spec file for package octave-forge-odepkg
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  odepkg
Name:           octave-forge-%{octpkg}
Version:        0.8.5
Release:        3.5
Summary:        Solving ordinary differential equations from Octave
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM odepkg-gcc-errors.patch -- Fix no-return-in-non-void-function
Patch1:         odepkg-gcc-errors.patch
BuildRequires:  blas-devel
BuildRequires:  gcc-c++
BuildRequires:  gcc-fortran
BuildRequires:  hdf5-devel
BuildRequires:  lapack-devel
BuildRequires:  octave-devel
Requires:       octave-cli >= 3.2.0

%description
A package for solving ordinary differential equations and more.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%patch1 -p1
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Wed May 20 2015 dmitry_r@opensuse.org
- Update to version 0.8.5
  * Octave 4.0 support
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 0.8.4
- Fix GCC errors: no return in non-void function
  * odepkg-gcc-errors.patch
